<?php 
/*
 * Plugin Name: FFC Football CO2 Calculator
 * Plugin URI: https://ffc-olympia.de/wordpress-plugin-ffc-football-co2-calculator/
 * Description: FFC Football CO2 Calculator is a plugin for calculating CO2-emissions in terms of football related CO2 emissions.
 * Version: 2.4
 * Author: Micha at FFC Olympia 07
 * Author URI: https://profiles.wordpress.org/olympia07/
 * Text Domain: ffc-football-co2-calculator
 * License: GPLv2 or later
 *
 * @package FfcFootballCo2Calculator
 */
 
/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Copyright (C) 2022  Michael Vogel
*/

defined('ABSPATH') or die("Hey, what you are doing here? Yippie-Ya-Yeah Schweinebacke!");

define('FFCFCC_DIR', dirname(__FILE__));
include FFCFCC_DIR."/init/plugin.php";

class FfcFootballCo2Calculator
{
    protected $plugin;
    
    function register() {
        $this->plugin = new FFCFCC\Init\Plugin(plugin_basename( __FILE__ ));
        $this->plugin->register();
    }

    function activate() {
        $this->plugin->activate();
    }
    
    function deactivate() {
        $this->plugin->deactivate();
    } 
}

if ( class_exists( 'FfcFootballCo2Calculator' ) ) {
    $ffcFootballCo2Calculator = new FfcFootballCo2Calculator();
    $ffcFootballCo2Calculator->register();
}

// activation
register_activation_hook( __FILE__, array( $ffcFootballCo2Calculator, 'activate' ) );

// deactivation
register_deactivation_hook( __FILE__, array( $ffcFootballCo2Calculator, 'deactivate' ) );
