<?php namespace FFCFCC\Init;
/**
 * FfcFootballCo2Calculator
 * Author: Micha at FFC Olympia
 */
defined('FFCFCC_DIR') or die("you do not have acces to this page!");
INCLUDE_ONCE FFCFCC_DIR."/shortcodes/co2calculator.php";

/**
 * Plugin registriert Cron-Job, verändert die Eingabemaske der Benutzerverwaltung, lädt Skripte, erzeugt PHP-Sessions, ...
 */
class Plugin 
{
    public $plugin;
    private $co2calculator = null;
    
    /**
     * Kontruktor
     * 
     * @param type $plugin
     */
    public function __construtor($plugin) {
        $this->plugin = $plugin; 
    }
        
    /**
     * Registriert alle notwendigen Funktionen
     */
    function register() {
        add_action('init', array( $this, 'ffcfcc_shortcodes_init') );
        add_action( 'init', array( $this, 'ffcfcc_load_textdomain') );
        
        add_action( 'wp_enqueue_scripts', array($this, 'add_ffcfcc_scripts') );
    }
    
    /**
     * Aktiviert den Crobj-Job, wenn das Plugin ebenfalls aktiviert wird.
     */
    public function activate() {
        flush_rewrite_rules();
    }

    public function deactivate() {
        flush_rewrite_rules();
    }
    
    /**
     * Defintion der Shortcodes
     */
    function ffcfcc_shortcodes_init() {
        add_shortcode( 'co2calculator', array($this, 'co2calculator_shortcode') );
        
    }
    
    function co2calculator_shortcode($atts = [], $content = null, $tag = ''){
        $this->co2calculator = new \FFCFCC\Shortcodes\Co2Calculator();
        return $this->co2calculator->getCalculator($atts, $content, $tag);
    }
    
    /**
     * Initialisiert alle css- und jQuery-Skripte
     */
    function add_ffcfcc_scripts () {
        wp_enqueue_style('ffcfcc-css-style', plugins_url('/css/ffcfcc.css', __FILE__));
        wp_enqueue_script( 'ffcfcc-js-plugin', plugins_url('/js/ffcfcc.js', __FILE__), array( 'jquery' ), '1.0.0', true );
    }
    
    function ffcfcc_load_textdomain() {
        load_plugin_textdomain( 'ffc-football-co2-calculator', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' ); 
    }
}
